ricerca file in assembly

looksin87

Utente Junior
Professione: disegnatore
Software: solid edge st4
Regione: abruzzo
#1
buongiorno a tutti,
ho un piccolo problema di gestione dell'assembly.
ho creato il mio assieme con tutta la bulloneria,ma siccome di viti ne sono un'infinità non riesco a localizzare una determinata vite (es te m6x30) all'interno del mio assieme.esiste un opzione che mi consenta di immetere il nome del file che stò cercando e di conseguenza questo mi viene visualizzato(evidenziato) nel mio assieme?in modo che posso capire dove è stata montata questa vite...

ho provato a fare una ricerca ma non trovo niente di specifico per risolvere il mio problema.

grazie in anticipo:redface:
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#2
sì c'è e fa storcere il naso (eufemismo)

su ST4:
(vedi allegato)

c'è un metodo più veloce ? al momento no

altri trucchi? (non direttamente collegati al tuo problema, ma migliorano la vita)
conosci i comandi "Zoom a" e "Scorri per la parte" ?
io ho associato i tasti di scelta rapida:
- "Zoom a" : F3
- "Scorri per la parte" : F9
 

Allegati

looksin87

Utente Junior
Professione: disegnatore
Software: solid edge st4
Regione: abruzzo
#3
grazie mille utilissimo il tuo consiglio...e la ricerca è stata anche abbastanza veloce considerando la mole di viti dell'assieme:finger:
 

GINOPILOTINO

Utente Junior
Professione: progettista meccanico
Software: Solid edge
Regione: BARI
#4
é possibile ricercare in ambiente assembly(visualizzandolo nell'ambiente grafico) una parte di cui si conosce solo il nome? (per assiemi particolarmente vasti potrebbe essere utile)
Grazie
Ciao
 

Be_on_edge

Moderatore
Staff Forum
Professione: Progettazione
Software: Solid Edge
Regione: Emilia Romagna
#5
é possibile ricercare in ambiente assembly(visualizzandolo nell'ambiente grafico) una parte di cui si conosce solo il nome? (per assiemi particolarmente vasti potrebbe essere utile)
Grazie
Ciao
Nella maschera di ricerca si può cercare per nome e per proprietà o una qualsiasi combinazione di esse.

ciao
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#6
Be_on_edge, Ho provato a scrivere una macro, ma ho dei seri limiti per il la selezione del componente.
Trovato il componente:
call objComp.Select(True)
nella grafica non viene visualizzata la selezione, e nemmeno nel pathfinder.
Lanciando da tastiera (idem con i comandi objApp.StartCommand(####)):
F5: compare solo la finestrella sotto il Pathfinder;
"Zoom a (mio F9)": zomma la zona
"Scorri per la parte (mio F3)": non succede niente.

nell'esempio in figura cerco : 'motore'

Qualche suggerimento?

Se trovo i comandi che corrispondono al normale Seleziona,
potrei sviluppare un exe con una finestrella di ricerca , Successivo, Precedente, nei SottoAssiemi
 

Allegati

Be_on_edge

Moderatore
Staff Forum
Professione: Progettazione
Software: Solid Edge
Regione: Emilia Romagna
#7
Be_on_edge, Ho provato a scrivere una macro, ma ho dei seri limiti per il la selezione del componente.
Trovato il componente:
call objComp.Select(True)
nella grafica non viene visualizzata la selezione, e nemmeno nel pathfinder.
Lanciando da tastiera (idem con i comandi objApp.StartCommand(####)):
F5: compare solo la finestrella sotto il Pathfinder;
"Zoom a (mio F9)": zomma la zona
"Scorri per la parte (mio F3)": non succede niente.

nell'esempio in figura cerco : 'motore'

Qualche suggerimento?

Se trovo i comandi che corrispondono al normale Seleziona,
potrei sviluppare un exe con una finestrella di ricerca , Successivo, Precedente, nei SottoAssiemi
Devi aggiungere il componente trovato direttamente al SelectSet dell'assieme.

objApp.ActiveDocument.SelectSet.Add (object)

Ciao
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#8
Ho trovato anche un altro modo:
- (sbagliavo mettendo un 'Exit Sub' anzichè 'Exit For', circa riga 50)
- il Refresh non serve.
- per selezionare:
Call objComp.Select(True) 'Replace: If True, the current selection is replaced with a new selection. If False, the current selection is extended to include any previously selected objects
- per evidenziare le parti selezionate:
objApp.StartCommand(45000) ' seAssemblySelectCommand

A questo punto sono pronto per sviluppare una simpatica finestrella. Qualche suggerimento, richiesta?
 

Tequila

Utente Senior
Professione: teorico del paleocontatto
Software: Solid Edge ST7, scarabocchi su carta
Regione: Veneto (PD)
#9
Ho trovato anche un altro modo:
- (sbagliavo mettendo un 'Exit Sub' anzichè 'Exit For', circa riga 50)
- il Refresh non serve.
- per selezionare:
Call objComp.Select(True) 'Replace: If True, the current selection is replaced with a new selection. If False, the current selection is extended to include any previously selected objects
- per evidenziare le parti selezionate:
objApp.StartCommand(45000) ' seAssemblySelectCommand

A questo punto sono pronto per sviluppare una simpatica finestrella. Qualche suggerimento, richiesta?
La cosa è molto interessante...
Per esempio potresti aggiungere alla "finestrella" la possibilità di aprire il "gestione proprietà" solamente del PAR, PSM o ASM che si è ricercato.
Sarebbe bello anche potergli fare aprire il o i draft (se ci sono) del file ricercato.
 

Be_on_edge

Moderatore
Staff Forum
Professione: Progettazione
Software: Solid Edge
Regione: Emilia Romagna
#10
Ho trovato anche un altro modo:
- (sbagliavo mettendo un 'Exit Sub' anzichè 'Exit For', circa riga 50)
- il Refresh non serve.
- per selezionare:
Call objComp.Select(True) 'Replace: If True, the current selection is replaced with a new selection. If False, the current selection is extended to include any previously selected objects
- per evidenziare le parti selezionate:
objApp.StartCommand(45000) ' seAssemblySelectCommand

A questo punto sono pronto per sviluppare una simpatica finestrella. Qualche suggerimento, richiesta?
Non mi piace molto l'utilizzo del comando "StartCommand", non hai controllo sul risultato. Fai qualche esperimento con il SelectSet e l'HighLightSet ci sono molte più possibilità. (Non male quella di lasciare alcuni particolari evidenziati, anche di colori differenti e poter continuare a lavorare normalmente, ecco magari una spunta a fianco del risultato per lasciare il componente permanentemente evidenziato, e una combo a fianco con cui deciderne il colore, o mostrarlo nasconderlo.)

Sono solo alcune idee scritte di getto :biggrin:

Ciao
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#11
aprire il "gestione proprietà" solamente del PAR, PSM o ASM che si è ricercato. [...]
aprire il o i draft (se ci sono) del file ricercato.
Mi pare esista già e che funzioni bene il gestione proprietà interno (anche se io non uso);
'Apri Draft' di Be_on_edge funziona bene, si potrebbe decide un giorno di fare il PowerToy di S.E. Italiano, ma non siamo programmatori di mestiere e tante piccole macro che fanno poco fatto bene mi sembra al momento la soluzione più efficente.
(Non male quella di lasciare alcuni particolari evidenziati, anche di colori differenti e poter continuare a lavorare normalmente, ecco magari una spunta a fianco del risultato per lasciare il componente permanentemente evidenziato, e una combo a fianco con cui deciderne il colore, o mostrarlo nasconderlo.)
Per il momento un Trova come quello dei Browser mi par più che sufficiente, questa mi sembra più uno sviluppo di screenshot di configurazioni (potrebbero impostare il colore a livello di configurazioni, no) comunque è una idea da tener presente per il futuro.

Come IDE uso SharpDevelop, leggero (64MB), portable, ma il .NET non lo conosco e non mi è semplice saper dove scrivere il codice. Proviamo...
 

Allegati

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#13
ecco la v.0.0! è sicuramente piena di bug , (problemi con indici), pezzi nascosti, fa solo il primo livello (no sub asm), ma sembra funzionare!!
nb: schermi risoluzione minima 1024x768
 

Allegati

Tequila

Utente Senior
Professione: teorico del paleocontatto
Software: Solid Edge ST7, scarabocchi su carta
Regione: Veneto (PD)
#14
Mi pare esista già e che funzioni bene il gestione proprietà interno (anche se io non uso);
'Apri Draft' di Be_on_edge funziona bene, si potrebbe decide un giorno di fare il PowerToy di S.E. Italiano, ma non siamo programmatori di mestiere e tante piccole macro che fanno poco fatto bene mi sembra al momento la soluzione più efficente.
io uso molto il gestione proprietà per automatizzarmi le messe in tavola, solo che se lo apro in un assieme questo mi fa l'elenco di tutto e quando ci sono migliaia di componenti la cosa si fa lunga e tra l'altro se lo clicchi per sbaglio non si riesce ad "abortire" il comando, devi attendere che apra la finestra.
Al momento comunque se necessito aprirlo per vedere dei dati mi apro il sottassieme interessato o come apri o come modifica nell'assieme e con comando rapido apro "gestione proprietà".
Con la macro eviterei di aprire parti o sottassiemi ma comunque non è un problema lavoro ugualmente bene anche così come è adesso, più che altro con questa tua macro, con l'aggiunta del gestione proprietà e l'apri draft di B_o_e si potrebbe metterci la cigliegina sulla torta
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#15
se ti interessano proprietà in particolare come Codice e Descrizione, ho già una macro "CopiaInfoDaSelezionato", si può sviluppare quella
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#17
Sviluppando in SharpDevelop, gli eseguibili poi hanno bisogno di un particolare Framework installato per funzionare o si appoggiano su quello di Microsoft ?

Ciao
Usa i .NET Framework di Microsoft. Il programma ti consiglia di usare l'ultimo, ma puoi scegliere una versione precedente, per il build. Inoltre c'è la compatibilità per i processori (x86 32bit o x64). Ha la lingua italiano, ma la guida è una giovane wiki on-line in inglese.
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#18
[MACRO] asmFind: Trova le occorrenze in un assieme
v.0.1 2012-05-11 (c) Vespignani Gianluca

Cerca il testo tra le occorrenze (part asm sheet)
caratteri jolly: '*' '?'
formato: NameEsposto.ext:1|Codice|Descrizione Completa"
dove: 'Codice' e 'Descrizione Completa' sono Proprietà Personalizzate.
nb: schermi risoluzione minima 1024x768
vedi preview

disponibili sorgenti su richiesta. Non sono previsti a breve ulteriori sviluppi.
Buon Lavoro.
 

Allegati

cop1

Utente Junior
Professione: progettista
Software: solidedge
Regione: italia
#19
Buongiorno,
cercavo proprio una macro come questa....nonostatnte si sia arrivati alla ST7 non c'è ancora qualcosa di simile..!
sarebbe possibile fare qualcosa che vada a ceracre anche nei sottoassiemi?
Grazie
Cop1
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#20
per la ricerca nei sotto assiemi ci vorrebbero diverse ore di sviluppo, di solito per contare la minuteria io ne seleziono una sull'asm di primo livello poi clicco su 'Seleziona parti identiche'.